Subject: [regext] Genart last call review of draft-ietf-regext-org-10

From: Stewart Bryant <[email-masked]>
Date: Mon, 08 Oct 2018 09:52:27 -0700

Reviewer: Stewart Bryant
Review result: Ready with Issues

I am the assigned Gen-ART reviewer for this draft. The General Area
Review Team (Gen-ART) reviews all IETF documents being processed
by the IESG for the IETF Chair.  Please treat these comments just
like any other last call comments.

For more information, please see the FAQ at

<https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.

Document: draft-ietf-regext-org-10
Reviewer: Stewart Bryant
Review Date: 2018-10-08
IETF LC End Date: 2018-10-08
IESG Telechat date: Not scheduled for a telechat

Summary:

This is a well written document, and ready for publication.

Major issues: None

Minor issues:
The RFC 2718 normative reference is a bit strange to one that does not normally
work in this area. RFC 2718 has been obsoleted, and this is covered by it being
called out in the IETF LC. However RFC 2718 is called out because the text
requires a reference to UTF-16, and there is apparently no reference to it
other than the obsolete RFC 2718 text. This makes me wonder why this document
requires support of the format.

Perhaps a comment on this might be useful to other puzzled readers.

In Section  3.6 the text says: "Loops SHOULD be prohibited."

I am surprised this is not a MUST, since SHOULD means that clients need to make
the test whenever they used the repository and were worried about this, whereas
MUST would mean that the server makes the test once.

Nits/editorial comments:

Nits points out an issue with the RFC2119 boiler plate and also a line too
long, but these will be fixed by the RFC Editor as a matter of course.

---

From: Adam Roach <[email-masked]>
Date: Mon, 8 Oct 2018 15:43:48 -0500

On 10/8/18 11:52 AM, Stewart Bryant wrote:
> work in this area.

Thanks! This is a good catch of a character transposition. The correct 
reference here should be RFC 2781 rather than RFC 2718. While this is 
still technically a downref to an informational document, UTF-16 has 
precedent for being normatively in relation to XML, and so appears in 
the the downref registry already.

/a

---

From: "Linlin Zhou" <[email-masked]>
Date: Tue, 9 Oct 2018 11:18:49 +0800

Dear Stewart,
Thanks for your review. Please see my feedbacks below.

Regards,
Linlin

Linlin Zhou
 
From: Stewart Bryant
Date: 2018-10-09 00:52
To: [email-masked]
CC: draft-ietf-regext-org.all; ietf; regext
Subject: [regext] Genart last call review of draft-ietf-regext-org-10
Reviewer: Stewart Bryant
Review result: Ready with Issues

 

Summary:

Major issues: None
 
Minor issues:
[Linlin] Sorry. It should be RFC2781 and will be moved to "Informative References".

In Section  3.6 the text says: "Loops SHOULD be prohibited."
[Linlin] Will be modified as "MUST".

Nits/editorial comments:
 
Nits points out an issue with the RFC2119 boiler plate and also a line too
long, but these will be fixed by the RFC Editor as a matter of course.
[Linlin] I found there are two lines are two long. They will be put into two lines, like,

S: <msg lang="en">Command completed successfully; 
S:   action pending</msg>

_______________________________________________
regext mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/regext